## graphviz 12.2.1

=== tclpkg/CMakeLists.txt ===
# teach libraries how to find plugins and libraries, even if there is another
# copy of Graphviz installed in the system default paths
if(APPLE)
  list(APPEND CMAKE_INSTALL_RPATH
    "@executable_path/../../../${PLUGIN_INSTALL_DIR}")
  list(APPEND CMAKE_INSTALL_RPATH "@executable_path/../..")
else()
  list(APPEND CMAKE_INSTALL_RPATH "\$ORIGIN/../../../${PLUGIN_INSTALL_DIR}")
  list(APPEND CMAKE_INSTALL_RPATH "\$ORIGIN/../..")
endif()

if(ENABLE_TCL)
  add_subdirectory(gdtclft)
  add_subdirectory(tcldot)
  add_subdirectory(tclpathplan)
  add_subdirectory(tclstubs)
endif()

add_subdirectory(gv)

if(ENABLE_TCL)
  if(GD_FOUND)
    set(GD_INDEX "gdtclft/pkgIndex.tcl")
  else()
    set(GD_INDEX "")
  endif()
  if(ENABLE_SWIG)
    set(SWIG_INDEX "gv/pkgIndex.tcl")
  else()
    set(SWIG_INDEX "")
  endif()
  if(CMAKE_VERSION VERSION_LESS "3.18.0")
    message(WARNING "CMake < 3.18, so TCL pkgIndex.tcl will not be built")
  else()
    add_custom_target(tcl_pkgindex
      ALL
      COMMAND ${CMAKE_COMMAND} -E cat tcldot/pkgIndex.tcl
        tclpathplan/pkgIndex.tcl ${GD_INDEX} ${SWIG_INDEX} >pkgIndex.tcl
      COMMAND ${CMAKE_COMMAND} -E echo "\"#" "end\"" >>pkgIndex.tcl
      BYPRODUCTS pkgIndex.tcl
      COMMENT "create TCL package index"
    )
    add_dependencies(tcl_pkgindex tcldot_pkgindex tclplan_pkgindex)
    if(GD_FOUND)
      add_dependencies(tcl_pkgindex gdtclft_pkgindex)
    endif()
    if(ENABLE_SWIG)
      add_dependencies(tcl_pkgindex gv_tcl_pkgindex)
    endif()

    install(
      FILES ${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl
      DESTINATION ${LIBRARY_INSTALL_DIR}/graphviz/tcl
    )
  endif()
endif()

=== tests/CMakeLists.txt ===
find_package(Boost REQUIRED)
find_package(Catch2 REQUIRED)
find_package(FMT REQUIRED)
find_package(RAPIDXML REQUIRED)
find_package(SVGPP REQUIRED)

enable_testing()

# for convenience, make a library that depends on everything so each
# separate test can be as small as possible
add_library(test_common SHARED
            graphviz_edge.cpp
            graphviz_edge.h
            graphviz_graph.cpp
            graphviz_graph.h
            graphviz_node.h
            graphviz_node.cpp
            test_utilities.cpp
            svgpp_context.cpp
            svgpp_context.h
            svgpp_document_traverser.cpp
            svgpp_document_traverser.h
            svg_analyzer.cpp
            svg_analyzer.h
            svg_analyzer_interface.h
            svg_element.cpp
            svg_element.h
            test_edge_node_overlap_utilities.cpp
            test_edge_node_overlap_utilities.h
            ../cmd/dot/dot_builtins.cpp
)
set_target_properties(test_common PROPERTIES CXX_STANDARD 20)
set_target_properties(test_common PROPERTIES CXX_STANDARD_REQUIRED ON)
target_include_directories(test_common PRIVATE
  ../lib
  ../lib/cgraph++
)
target_include_directories(test_common SYSTEM PRIVATE
  ${Boost_INCLUDE_DIRS}
  ${FMT_INCLUDE_DIRS}
  ${RAPIDXML_INCLUDE_DIRS}
  ${SVGPP_INCLUDE_DIRS}
)
target_link_libraries(test_common PUBLIC
  gvplugin_core
  gvplugin_dot_layout
  gvplugin_gd
  gvplugin_neato_layout
  gvplugin_pango
  gvplugin_vt
  gvplugin_webp
  cgraph
  cgraph++
  gvc
  gvc++
  ${FMT_LIBRARIES}
)

# common steps for creating a test case
macro(CREATE_TEST testname)
  add_executable(test_${testname} test_${testname}.cpp)
  set_target_properties(test_${testname} PROPERTIES CXX_STANDARD 20)
  set_target_properties(test_${testname} PROPERTIES CXX_STANDARD_REQUIRED ON)
  add_test(NAME test_${testname}
           COMMAND ./test_${testname} --reporter JUnit::out=test_${testname}.xml
             --reporter console::out=-::colour-mode=ansi)
  target_include_directories(test_${testname} PRIVATE
    ../lib
    ../lib/cdt
    ../lib/cgraph
    ../lib/cgraph++
    ../lib/common
    ../lib/gvc
    ../lib/pathplan
  )
  target_link_libraries(test_${testname} PRIVATE
    test_common
  )
  target_link_libraries(test_${testname} PRIVATE Catch2::Catch2WithMain)
endmacro()

CREATE_TEST(AGraph_construction)
CREATE_TEST(clusters)
CREATE_TEST(edge_color)
CREATE_TEST(edge_fillcolor)
CREATE_TEST(edge_penwidth)
CREATE_TEST(engines)
CREATE_TEST(GVContext_construction)
CREATE_TEST(GVContext_render_svg)
CREATE_TEST(GVLayout_construction)
CREATE_TEST(GVLayout_render)
CREATE_TEST(edge_node_overlap_all_edge_arrows)
CREATE_TEST(edge_node_overlap_all_node_shapes)
CREATE_TEST(edge_node_overlap_all_primitive_edge_arrows)
CREATE_TEST(edge_node_overlap_box_edge_arrow)
CREATE_TEST(edge_node_overlap_box_edge_arrow_various_arrowsizes)
CREATE_TEST(edge_node_overlap_crow_and_vee_edge_arrows)
CREATE_TEST(edge_node_overlap_curve_and_icurve_edge_arrows)
CREATE_TEST(edge_node_overlap_cylinder_node_shape)
CREATE_TEST(edge_node_overlap_diamond_edge_arrow)
CREATE_TEST(edge_node_overlap_diamond_edge_arrow_various_arrowsizes)
CREATE_TEST(edge_node_overlap_dot_edge_arrow)
CREATE_TEST(edge_node_overlap_dot_edge_arrow_various_arrowsizes)
CREATE_TEST(edge_node_overlap_ellipse_node_shapes_except_point)
CREATE_TEST(edge_node_overlap_none_edge_arrow)
CREATE_TEST(edge_node_overlap_none_edge_arrow_various_arrowsizes)
CREATE_TEST(edge_node_overlap_normal_and_inv_edge_arrows)
CREATE_TEST(edge_node_overlap_normal_and_inv_edge_arrows_all_modifiers)
CREATE_TEST(edge_node_overlap_normal_and_inv_edge_arrows_various_arrowsizes)
CREATE_TEST(edge_node_overlap_plain_node_shape)
CREATE_TEST(edge_node_overlap_point_node_shape)
CREATE_TEST(edge_node_overlap_polygon_node_shapes)
CREATE_TEST(edge_node_overlap_record_node_shape)
CREATE_TEST(edge_node_overlap_simple)
CREATE_TEST(edge_node_overlap_tee_edge_arrow)
CREATE_TEST(edge_node_overlap_tee_edge_arrow_various_arrowsizes)
CREATE_TEST(max_edge_node_overlap_simple)
CREATE_TEST(max_edge_node_overlap_polygon_node_shapes)
CREATE_TEST(min_edge_node_overlap_polygon_node_shapes)
CREATE_TEST(min_edge_node_overlap_simple)
CREATE_TEST(max_edge_stem_arrow_overlap_simple)
CREATE_TEST(min_edge_stem_arrow_overlap_simple)
CREATE_TEST(neatopack)
CREATE_TEST(node_color)
CREATE_TEST(node_fillcolor)
CREATE_TEST(node_penwidth)
CREATE_TEST(rankdir)
CREATE_TEST(simple)
CREATE_TEST(subgraph_layout)
CREATE_TEST(subgraphs)
CREATE_TEST(svg_analyzer)
CREATE_TEST(svg_analyzer_color)
CREATE_TEST(svg_analyzer_fillcolor)
CREATE_TEST(svg_analyzer_penwidth)

=== doc/infosrc/requirements.txt ===
json2html==1.3.0

=== graphs/undirected/CMakeLists.txt ===
install(
  FILES
    ER.gv
    Heawood.gv
    ngk10_4.gv
    Petersen.gv
    process.gv
  DESTINATION ${DATA_INSTALL_DIR}/graphviz/graphs/undirected)

=== lib/cdt/CMakeLists.txt ===
add_definitions(-DEXPORT_CDT)

add_library(cdt
  # Header files
  cdt.h
  dthdr.h

  # Source files
  dtclose.c
  dtdisc.c
  dtextract.c
  dtflatten.c
  dthash.c
  dtlist.c
  dtmethod.c
  dtopen.c
  dtrenew.c
  dtrestore.c
  dtsize.c
  dtstat.c
  dtstrhash.c
  dttree.c
  dtview.c
  dtwalk.c
)

target_include_directories(cdt PRIVATE
  ..
  ${CMAKE_CURRENT_SOURCE_DIR})

# Installation location of library files
install(
  TARGETS cdt
  RUNTIME DESTINATION ${BINARY_INSTALL_DIR}
  LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIBRARY_INSTALL_DIR}
)

# Specify headers to be installed
install(
  FILES cdt.h
  DESTINATION ${HEADER_INSTALL_DIR}
)

# Specify man pages to be installed
if(GZIP)
  add_custom_target(man-cdt ALL DEPENDS cdt.3.gz
                    COMMENT "cdt man page")
  add_custom_command(
    OUTPUT cdt.3.gz
    COMMAND ${GZIP} -9 --no-name --to-stdout cdt.3
      >"${CMAKE_CURRENT_BINARY_DIR}/cdt.3.gz"
    MAIN_DEPENDENCY cdt.3
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "compress cdt man page")
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/cdt.3.gz
    DESTINATION ${MAN_INSTALL_DIR}/man3)
else()
  install(
    FILES cdt.3
    DESTINATION ${MAN_INSTALL_DIR}/man3
  )
endif()

# Specify library version and soversion
set_target_properties(cdt PROPERTIES
  VERSION 5.0.0
  SOVERSION 5
)

=== lib/common/CMakeLists.txt ===
BISON_TARGET(HTMLparse ${CMAKE_CURRENT_SOURCE_DIR}/htmlparse.y
                       ${CMAKE_CURRENT_BINARY_DIR}/htmlparse.c)

add_definitions(-DGVC_EXPORTS)

# Generate colortbl.h from sources
add_custom_command(
  OUTPUT svgcolor_lib
  MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/svgcolor_names
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/make_svgcolor_lib.py
  COMMAND ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/make_svgcolor_lib.py
          ${CMAKE_CURRENT_SOURCE_DIR}/svgcolor_names
          ${CMAKE_CURRENT_BINARY_DIR}/svgcolor_lib
  COMMENT "generate SVG color library"
)
add_custom_command(
  OUTPUT brewer_lib
  MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/brewer_colors
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/make_brewer_lib.py
  COMMAND ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/make_brewer_lib.py
          ${CMAKE_CURRENT_SOURCE_DIR}/brewer_colors
          ${CMAKE_CURRENT_BINARY_DIR}/brewer_lib
  COMMENT "generate Brewer color library"
)
add_custom_command(
  OUTPUT common/colortbl.h
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/svgcolor_lib
          ${CMAKE_CURRENT_BINARY_DIR}/brewer_lib
          ${CMAKE_CURRENT_SOURCE_DIR}/color_names
          ${CMAKE_CURRENT_SOURCE_DIR}/make_colortbl.py
  COMMAND ${CMAKE_COMMAND} -E make_directory
          "${CMAKE_CURRENT_BINARY_DIR}/common"
  COMMAND ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/make_colortbl.py
          ${CMAKE_CURRENT_BINARY_DIR}/brewer_lib
          ${CMAKE_CURRENT_BINARY_DIR}/svgcolor_lib
          ${CMAKE_CURRENT_SOURCE_DIR}/color_names
          ${CMAKE_CURRENT_BINARY_DIR}/common/colortbl.h
  COMMENT "generate color table"
)

# Generate entities.h from entities.html
add_custom_command(
  OUTPUT common/entities.h
  MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/entities.html
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/entities.py
  COMMAND ${CMAKE_COMMAND} -E make_directory
          "${CMAKE_CURRENT_BINARY_DIR}/common"
  COMMAND ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/entities.py
          ${CMAKE_CURRENT_BINARY_DIR}/common/entities.h
  COMMENT "generate entities.h"
)

add_library(common_obj OBJECT
  # Header files
  arith.h
  boxes.h
  color.h
  colorprocs.h
  ${CMAKE_CURRENT_BINARY_DIR}/common/colortbl.h
  const.h
  ${CMAKE_CURRENT_BINARY_DIR}/common/entities.h
  geom.h
  geomprocs.h
  globals.h
  htmllex.h
  htmltable.h
  macros.h
  pointset.h
  ps_font_equiv.h
  render.h
  textspan.h
  textspan_lut.h
  types.h
  usershape.h
  utils.h

  # Source files
  args.c
  arrows.c
  colxlate.c
  ellipse.c
  emit.c
  geom.c
  globals.c
  htmllex.c
  htmltable.c
  input.c
  labels.c
  ns.c
  output.c
  pointset.c
  postproc.c
  psusershape.c
  routespl.c
  shapes.c
  splines.c
  taper.c
  textspan.c
  textspan_lut.c
  timing.c
  utils.c
  xml.c

  # Generated files
  ${BISON_HTMLparse_OUTPUTS}
)

if(HAVE_C_WUNUSED_BUT_SET_VARIABLE)
  set_source_files_properties(${BISON_HTMLparse_OUTPUTS}
    PROPERTIES COMPILE_FLAGS -Wno-unused-but-set-variable)
endif()

target_include_directories(common_obj PRIVATE
  ..
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ../cdt
  ../cgraph
  ../gvc
  ../pack
  ../pathplan
)

if(EXPAT_FOUND)
  target_include_directories(common_obj SYSTEM PRIVATE
    ${EXPAT_INCLUDE_DIRS}
  )
endif()

if(WIN32)
  target_include_directories(common_obj
                             PRIVATE ${WINDOWS_DEPENDENCY_DIR}/include)
endif()

if(WIN32 AND NOT MINGW)
  target_include_directories(common_obj PRIVATE ../../windows/include/unistd)
endif()

# From https://gitlab.com/graphviz/graphviz/-/issues/1613 @mdwies 20093010
if(APPLE)
  target_compile_options(common_obj PRIVATE "-fno-common")
endif()

add_library(common STATIC
  $<TARGET_OBJECTS:common_obj>
)

target_link_libraries(common PRIVATE
  cgraph
  pathplan
  label
  xdot
  util
)

if(EXPAT_FOUND)
  target_link_libraries(common PRIVATE
    ${EXPAT_LIBRARIES}
  )
endif()

# Specify headers to be installed
install(
  FILES
    arith.h
    color.h
    geom.h
    textspan.h
    types.h
    usershape.h
  DESTINATION ${HEADER_INSTALL_DIR}
)

=== lib/glcomp/CMakeLists.txt ===
if(WITH_SMYRNA)

  find_package(Freetype REQUIRED)
  find_package(GLUT REQUIRED)
  find_package(GTK2 REQUIRED COMPONENTS gtk glade)
  find_package(PANGOCAIRO REQUIRED)
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(XRENDER REQUIRED xrender)

  add_library(glcomp OBJECT
    glcompbutton.h
    glcompdefs.h
    glcompfont.h
    glcompimage.h
    glcomplabel.h
    glcompmouse.h
    glcomppanel.h
    glcompset.h
    glcomptextpng.h
    glcomptexture.h
    glpangofont.h
    glutils.h
    opengl.h

    glcompbutton.c
    glcompfont.c
    glcompimage.c
    glcomplabel.c
    glcompmouse.c
    glcomppanel.c
    glcompset.c
    glcomptextpng.c
    glcomptexture.c
    glpangofont.c
    glutils.c
  )

  target_include_directories(glcomp PRIVATE
    ..
    ../common
  )

  target_include_directories(glcomp SYSTEM PRIVATE
    ${FREETYPE_INCLUDE_DIRS}
    ${GLUT_INCLUDE_DIR}
    ${GTK2_INCLUDE_DIRS}
    ${PANGOCAIRO_INCLUDE_DIRS}
    ${XRENDER_INCLUDE_DIRS}
  )

  if(WIN32 AND NOT MINGW)
    target_include_directories(glcomp PRIVATE ../../windows/include/unistd)
  endif()

  target_link_libraries(glcomp PRIVATE
    ${FREETYPE_LIBRARIES}
    ${GLUT_LIBRARIES}
    ${GTK2_LIBRARIES}
    ${PANGOCAIRO_LINK_LIBRARIES}
    ${XRENDER_LIBRARIES}
  )

endif()

=== lib/gvc/CMakeLists.txt ===
add_definitions(-DGVC_EXPORTS -DGVLIBDIR="${LIBRARY_INSTALL_DIR}/graphviz")

add_library(gvc
  # Header files
  gvc.h
  gvcext.h
  gvcint.h
  gvcjob.h
  gvconfig.h
  gvcommon.h
  gvcproc.h
  gvio.h
  gvplugin.h
  gvplugin_device.h
  gvplugin_layout.h
  gvplugin_loadimage.h
  gvplugin_render.h
  gvplugin_textlayout.h

  # Source files
  gvc.c
  gvconfig.c
  gvcontext.c
  gvdevice.c
  gvevent.c
  gvjobs.c
  gvlayout.c
  gvloadimage.c
  gvplugin.c
  gvrender.c
  gvtextlayout.c
  gvtool_tred.c
  gvusershape.c
)

target_include_directories(gvc
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../cdt>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../cgraph>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../common>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../pathplan>
    $<INSTALL_INTERFACE:include/graphviz>
  PRIVATE
    ../..
)

if(WIN32 AND NOT MINGW)
  target_include_directories(gvc PRIVATE
    ../../windows/include/unistd
  )
endif()

target_link_libraries(gvc PRIVATE
  $<TARGET_OBJECTS:common_obj>
  $<TARGET_OBJECTS:pack_obj>
)

target_link_libraries(gvc PRIVATE
  cdt
  cgraph
  common
  pack
  util
)

if(LTDL_FOUND)
  target_include_directories(gvc SYSTEM PRIVATE ${LTDL_INCLUDE_DIRS})
  if(NOT WIN32 OR MINGW)
    target_link_libraries(gvc PUBLIC ${LTDL_LIBRARIES})
  endif()
endif()

if(ZLIB_FOUND)
  target_include_directories(gvc SYSTEM PRIVATE ${ZLIB_INCLUDE_DIRS})
  target_link_libraries(gvc PUBLIC ${ZLIB_LIBRARIES})
endif()

if(with_ortho)
  target_link_libraries(gvc PRIVATE
    $<TARGET_OBJECTS:ortho_obj>
  )
  target_link_libraries(gvc PRIVATE ortho)
endif()

# Installation location of library files
install(
  TARGETS gvc
  RUNTIME DESTINATION ${BINARY_INSTALL_DIR}
  LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIBRARY_INSTALL_DIR}
)

# Specify headers to be installed
install(
  FILES
    gvc.h
    gvcext.h
    gvcjob.h
    gvconfig.h
    gvcommon.h
    gvplugin.h
    gvplugin_device.h
    gvplugin_layout.h
    gvplugin_loadimage.h
    gvplugin_render.h
    gvplugin_textlayout.h
  DESTINATION ${HEADER_INSTALL_DIR}
)

# Specify man pages to be installed
if(GZIP)
  add_custom_target(man-gvc ALL DEPENDS gvc.3.gz
                    COMMENT "gvc man page")
  add_custom_command(
    OUTPUT gvc.3.gz
    COMMAND ${GZIP} -9 --no-name --to-stdout gvc.3
      >"${CMAKE_CURRENT_BINARY_DIR}/gvc.3.gz"
    MAIN_DEPENDENCY gvc.3
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "compress gvc man page")
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gvc.3.gz
    DESTINATION ${MAN_INSTALL_DIR}/man3)
else()
  install(
    FILES gvc.3
    DESTINATION ${MAN_INSTALL_DIR}/man3
  )
endif()

# Specify library version and soversion
set_target_properties(gvc PROPERTIES
  VERSION 6.0.0
  SOVERSION 6
)

# Include DLLs with this library on Windows
if(WIN32 AND EXPAT_FOUND AND install_win_dependency_dlls)
  install(
    FILES
      ${EXPAT_RUNTIME_LIBRARIES}
    DESTINATION ${BINARY_INSTALL_DIR}
  )
endif()

if(WIN32 AND ZLIB_FOUND AND install_win_dependency_dlls)
  find_program(ZLIB_RUNTIME_LIBRARY NAMES zlib1.dll)
  install(
    FILES
      ${ZLIB_RUNTIME_LIBRARY}
    DESTINATION ${BINARY_INSTALL_DIR}
  )
endif()

=== lib/gvpr/CMakeLists.txt ===
add_definitions(-DEXPORT_GVPR)

add_library(gvpr STATIC
  # Header files
  actions.h
  compile.h
  gdefs.h
  gprdata.inc
  gprstate.h
  gvpr.h
  parse.h
  trieFA.h

  # Source files
  actions.c
  compile.c
  gvpr.c
  gprstate.c
  parse.c
)

target_include_directories(gvpr PRIVATE
  ..
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/.. # needed to find generated expr/exparse.h
  ${CMAKE_CURRENT_BINARY_DIR}/../common
    # needed to find generated common/colortbl.h
  ../cdt
  ../cgraph
  ../common
)

if(GETOPT_FOUND)
  target_include_directories(gvpr SYSTEM PRIVATE
    ${GETOPT_INCLUDE_DIRS}
  )
endif()

if(WIN32 AND NOT MINGW)
  target_include_directories(gvpr PRIVATE ../../windows/include/unistd)
endif()

target_link_libraries(gvpr PUBLIC
  ast
  cgraph
  gvc
  expr
  sfio
  vmalloc
)

if(NOT HAVE_GETOPT_H)
  target_link_libraries(gvpr PRIVATE ${GETOPT_LINK_LIBRARIES})
endif()

=== lib/neatogen/CMakeLists.txt ===
add_definitions(-DNEATOGEN_EXPORTS)

set(SOURCES
  # Header files
  adjust.h
  bfs.h
  call_tri.h
  closest.h
  conjgrad.h
  defs.h
  delaunay.h
  digcola.h
  dijkstra.h
  edges.h
  embed_graph.h
  fPQ.h
  geometry.h
  heap.h
  hedges.h
  info.h
  kkutils.h
  matrix_ops.h
  mem.h
  multispline.h
  neato.h
  neatoprocs.h
  overlap.h
  pca.h
  poly.h
  quad_prog_solver.h
  quad_prog_vpsc.h
  site.h
  sparsegraph.h
  stress.h
  voronoi.h
  sgd.h
  randomkit.h

  # Source files
  adjust.c
  bfs.c
  call_tri.c
  circuit.c
  closest.c
  compute_hierarchy.c
  conjgrad.c
  constrained_majorization.c
  constraint.c
  delaunay.c
  dijkstra.c
  edges.c
  embed_graph.c
  geometry.c
  heap.c
  hedges.c
  info.c
  kkutils.c
  legal.c
  lu.c
  matinv.c
  matrix_ops.c
  memory.c
  multispline.c
  neatoinit.c
  neatosplines.c
  opt_arrangement.c
  overlap.c
  pca.c
  poly.c
  quad_prog_solve.c
  site.c
  smart_ini_x.c
  solve.c
  stuff.c
  stress.c
  voronoi.c
  sgd.c
  randomkit.c
)

if(with_ipsepcola)
  list(APPEND SOURCES
    constrained_majorization_ipsep.c
    quad_prog_vpsc.c
  )
endif()

add_library(neatogen STATIC
  ${SOURCES}
)

target_include_directories(neatogen PRIVATE
  ..
  ../cdt
  ../cgraph
  ../common
  ../gvc
  ../pack
  ../pathplan
)

target_link_libraries(neatogen PRIVATE
  cgraph
  gvc
  pathplan
  sparse
  rbtree
)

if(with_ipsepcola)
  target_link_libraries(neatogen PRIVATE vpsc)
endif()

if(GTS_FOUND)
  target_include_directories(neatogen SYSTEM PRIVATE
    ${GTS_INCLUDE_DIRS}
  )

  target_link_libraries(neatogen PRIVATE
    ${GTS_LINK_LIBRARIES}
  )

  if(WIN32 AND NOT MINGW AND install_win_dependency_dlls)
    install(
      FILES ${GTS_RUNTIME_LIBRARIES}
      DESTINATION ${BINARY_INSTALL_DIR}
    )
  endif()
endif()

=== lib/vmalloc/CMakeLists.txt ===
add_library(vmalloc STATIC
  # Header files
  vmalloc.h

  # Source files
  vmalloc.c
  vmclear.c
  vmclose.c
  vmopen.c
  vmstrdup.c
)

target_include_directories(vmalloc PRIVATE
  ..
)

=== plugin/core/CMakeLists.txt ===
add_library(gvplugin_core
  # Header files
  core_loadimage_xdot.h
  ps.h
  tcl_context.h

  # Source files
  gvloadimage_core.c
  gvplugin_core.c
  gvrender_core_dot.c
  gvrender_core_json.c
  gvrender_core_fig.c
  gvrender_core_map.c
  gvrender_core_pic.c
  gvrender_core_pov.c
  gvrender_core_ps.c
  gvrender_core_svg.c
  gvrender_core_tk.c
)

target_include_directories(gvplugin_core PRIVATE
  ../../lib
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ../../lib/cdt
  ../../lib/cgraph
  ../../lib/common
  ../../lib/gvc
  ../../lib/gvpr
  ../../lib/pathplan
)

target_link_libraries(gvplugin_core PRIVATE
  cgraph
  gvc
  xdot
)

if(BUILD_SHARED_LIBS)
  # Installation location of library files
  install(
    TARGETS gvplugin_core
    RUNTIME DESTINATION ${BINARY_INSTALL_DIR}
    LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIBRARY_INSTALL_DIR}
  )
endif()

# Specify library version and soversion
set_target_properties(gvplugin_core PROPERTIES
  VERSION ${GRAPHVIZ_PLUGIN_VERSION}.0.0
  SOVERSION ${GRAPHVIZ_PLUGIN_VERSION}
)

if(MINGW)
  # work around https://gitlab.kitware.com/cmake/cmake/-/issues/21716
  set_target_properties(gvplugin_core PROPERTIES
    RUNTIME_OUTPUT_NAME gvplugin_core-${GRAPHVIZ_PLUGIN_VERSION}
  )
endif()

=== debian/changelog ===
graphviz (12.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Dec 2024 21:26:15 +0100

graphviz (12.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Nov 2024 18:52:12 +0100

graphviz (12.1.2-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 30 Sep 2024 21:35:39 +0200

graphviz (12.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Sep 2024 19:49:51 +0200

graphviz (12.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Aug 2024 21:17:07 +0200

graphviz (12.0.0-1) experimental; urgency=medium

  * New major upstream release.
  * Recommend fonts-liberation (closes: #1039981).
  * Do not build rsvg plugin on port architectures (closes: #1067026).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Jul 2024 16:23:35 +0200

graphviz (11.0.0-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 29 Apr 2024 22:14:59 +0200

graphviz (10.0.1-1) experimental; urgency=medium

  * New major upstream release:
    - liblab_gamut library is removed.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 12 Feb 2024 17:12:00 +0100

graphviz (10.0.0~git231218-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 21 Dec 2023 17:39:11 +0100

graphviz (10.0.0~git231210-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Re-set correct time on debian/* files (closes: #1057889).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Dec 2023 13:10:49 +0100

graphviz (10.0.0~git231209-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Dec 2023 22:01:38 +0100

graphviz (10.0.0~git231111-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 11 Nov 2023 10:02:04 +0100

graphviz (10.0.0~git231105-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Nov 2023 08:15:09 +0100

graphviz (10.0.0~git231018-1) experimental; urgency=medium

  * New major upstream release candidate version:
    - the Criterion unit tests have been removed.
  * Build poppler module.
  * Disable GDK and GTK modules with smyrna package (closes: #967456).
  * Make plugins depend on graphviz.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Oct 2023 11:06:57 +0200

graphviz (9.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename libgvplugin-vt100{,-dev} packages to libgvplugin-vt{,-dev} ones.
  * Build ghostscript module.
  * Package extra graphviz tools separately.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 12 Sep 2023 05:45:32 +0000

graphviz (8.1.0-2) experimental; urgency=medium

  * Declare proper relationship with old packages (closes: 1051603).
  * Build depend on libcriterion-dev on its supported architectures only.
  * Make graphviz depend on the gd plugin.
  * Disable dot usage test.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Sep 2023 03:40:07 +0000

graphviz (8.1.0-1) experimental; urgency=medium

  * New upstream release (closes: #1012864).
  * Split package to parts (closes: #755124).
  * Rename libgv-tcl package to tcl-gv.
  * Use proper spelling of GTK (closes: #624355).
  * Build with Lua 5.4 (closes: #1050636).

  [ John Scott <jscott@posteo.net> ]
  * Update watch file (closes: #980900).

  [ Pino Toscano <pino@debian.org> ]
  * Remove the Debian menu file (closes: #1017044).

  [ Patrice Duroux <patrice.duroux@gmail.com> ]
  * Remove patches applied upstream:
    - fix_out-of-bounds_write_on_invalid_label.patch
    - update_documentation_link.patch
  * Remove all manpages and related files, provided by upstream.
  * Add upstream/metadata.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS (closes: #1027822):
    + Multiarchify python build dependencies,
    + Tell perl about the host development files.
  * Regenerate config6a from graphviz.postinst using dpkg triggers
    (closes: #983886).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 07 Aug 2023 18:19:33 +0200

=== debian/control ===
Source: graphviz
Section: graphics
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 4.7.0
Build-Depends: tk-dev,
 tcl-dev,
 debhelper-compat (= 13),
 dh-python,
 libfreetype-dev,
 zlib1g-dev,
 libjpeg-dev,
 libpng-dev,
 libxaw7-dev,
 bison,
 flex,
 libexpat1-dev,
 libfontconfig-dev,
 swig,
 libperl-dev,
 libgd-dev,
 guile-3.0-dev,
 groff-base,
 ghostscript,
 lua5.4,
 liblua5.4-dev,
 ruby [!ia64],
 ruby-dev [!ia64],
 libargon2-dev,
 libsodium-dev,
 libxml2-dev,
 libpython3-dev,
 python3-dev:any,
 libcairo2-dev,
 libpango1.0-dev,
 libpoppler-glib-dev,
 chrpath,
 libgs-dev,
 libgts-dev,
 libann-dev,
 librsvg2-dev [!alpha !hppa !hurd-amd64 !hurd-i386 !ia64 !m68k !sh4],
 libwebp-dev,
 libdevil-dev,
 libglut-dev,
 doxygen,
 qt6-base-dev
Build-Conflicts: tcl8.3, tcl8.4, tcl8.5
Rules-Requires-Root: no
Homepage: https://www.graphviz.org/

Package: graphviz
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, libgvc6 (>= 9.0.0), libgvplugin-gd (>= 9.0.0), ${misc:Depends}
Breaks: libgraphviz-dev (<< 8.1.0-1~)
Recommends: fonts-liberation
Suggests: gsfonts, graphviz-doc
Description: rich set of graph drawing tools
 Graph drawing addresses the problem of visualizing structural information
 by constructing geometric representations of abstract graphs and networks.
 Automatic generation of graph drawings has important applications in key
 technologies such as database design, software engineering, VLSI and
 network design and visual interfaces in other domains. Situations where
 these tools might be particularly useful include:
 .
   * you would like to restructure a program and first need to understand
     the relationships between its types, procedures, and source files
   * you need to find the bottlenecks in an Internet backbone - not only
     individual links, but their relationships
   * you're debugging a protocol or microarchitecture represented as a
     finite state machine and need to figure out how a certain
     error state arises
   * you would like to browse a database schema, knowledge base, or
     distributed program represented graphically
   * you would like to see an overview of a collection of linked documents
   * you would like to discover patterns and communities of interest in a
     database of telephone calls or e-mail messages
 .
 This package contains the command-line tools.

Package: graphviz-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: graphviz (<< 8.1.0-1~)
Replaces: graphviz (<< 8.1.0-1~)
Description: rich set of graph drawing extra tools
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the extra command-line tools.

Package: libgraphviz-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgvc-dev (= ${binary:Version}), libcgraph-dev (= ${binary:Version}), libcdt-dev (= ${binary:Version}), libpathplan-dev (= ${binary:Version}), ${misc:Depends}
Breaks: graphviz (<< 8.1.0-1~)
Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
Provides: graphviz-dev
Description: graphviz libs and headers against which to build applications
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: graphviz-doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Section: doc
Suggests: graphviz
Description: additional documentation for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs HTML and PDF documentation for Graphviz, as well as
 examples.

#Package: smyrna
#Architecture: any
#Multi-Arch: foreign
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Recommends: fonts-liberation
#Suggests: graphviz, gsfonts, graphviz-doc
#Description: viewer for graphs in the DOT format
# It is especially designed to handle large graphs, and allows flat and
# topological fisheye views. It is assumed the input graph has position
# information associated with all nodes. Using the Graphviz convention,
# a node's position is given by its \fIpos\fP attribute consisting of 2 or 3
# floating point numbers separated by commas.
# Nodes are drawn as points and edges as line segments.
#
Package: libgv-guile
Architecture: any
Multi-Arch: same
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Guile bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the guile (3.0) bindings.

Package: libgv-lua
Architecture: any
Multi-Arch: same
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lua bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the lua5.2 bindings.

Package: libgv-perl
Architecture: any
Multi-Arch: same
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Perl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Perl bindings.

Package: python3-gv
Architecture: any
Section: python
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libgv-python (<< 2.40.1-0~)
Replaces: libgv-python (<< 2.40.1-0~)
Description: Python3 bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Python3 bindings.

Package: libgv-ruby
Architecture: any
Multi-Arch: same
Section: ruby
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ruby bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Ruby bindings.

Package: libgv-tcl
Depends: tcl-gv, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: Tcl bindings for graphviz (transitional package)
 This is a transitional package. It can safely be removed.

Package: tcl-gv
Architecture: any
Multi-Arch: same
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libgv-tcl (<< 8.1.0-1~)
Replaces: libgv-tcl (<< 8.1.0-1~)
Description: Tcl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Tcl (8.6) bindings.

Package: libcgraph-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcgraph6 (= ${binary:Version}), libcdt-dev (= ${binary:Version}), ${misc:Depends}
Breaks: libgraphviz-dev (<< 8.1.0-1~)
Replaces: libgraphviz-dev (<< 8.1.0-1~)
Description: rich set of graph drawing tools - cgraph library (devel)
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: libcgraph6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rich set of graph drawing tools - cgraph library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the cgraph library.

Package: libcdt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcdt5 (= ${binary:Version}), ${misc:Depends}
Breaks: libgraphviz-dev (<< 8.1.0-1~)
Replaces: libgraphviz-dev (<< 8.1.0-1~)
Description: rich set of graph drawing tools - cdt library (devel)
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: libcdt5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rich set of graph drawing tools - cdt library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the cdt library.

Package: libpathplan-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpathplan4 (= ${binary:Version}), ${misc:Depends}
Breaks: libgraphviz-dev (<< 8.1.0-1~)
Replaces: libgraphviz-dev (<< 8.1.0-1~)
Description: rich set of graph drawing tools - pathplan library (devel)
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: libpathplan4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rich set of graph drawing tools - pathplan library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the pathplan library.

Package: libgvc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgvc6 (= ${binary:Version}), ${misc:Depends}
Breaks: libgraphviz-dev (<< 8.1.0-1~)
Replaces: libgraphviz-dev (<< 8.1.0-1~)
Description: rich set of graph drawing tools - gvc library (devel)
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: libgvc6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rich set of graph drawing tools - gvc library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the gvc library.

#Package: libgvc6-plugins-gtk
#Architecture: any
#Multi-Arch: same
#Section: libs
#Depends: ${misc:Depends}, libgvplugin-gdk (= ${binary:Version}), libgvplugin-gtk (= ${binary:Version}), libgvplugin-rsvg (= ${binary:Version})
#Description: rich set of graph drawing tools - GTK plugins
# Graphviz is a set of graph drawing tools. See the description of the graphviz
# package for a full description.
# .
# This is an empty dependency package that pulls in the GDK and GTK plugins.
#
Package: libgvpr-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgvpr2 (= ${binary:Version}), ${misc:Depends}
Breaks: libgraphviz-dev (<< 8.1.0-1~)
Replaces: libgraphviz-dev (<< 8.1.0-1~)
Description: rich set of graph drawing tools - gvpr library (devel)
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: libgvpr2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgvpr1
Description: rich set of graph drawing tools - gvpr library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

AUTOGENERATED = graphviz.postinst graphviz.postrm graphviz.triggers libgvc6.postinst

ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONFIGURE_LIBS    = LIBS="-Wl,--no-as-needed -Wl,-lpthread -Wl,--as-needed"
endif

ifneq (,$(filter $(DEB_HOST_ARCH), mipsel mips))
DEB_CFLAGS_MAINT_APPEND += "-fno-ipa-sra"
endif

N =

ifeq ($(DEB_HOST_ARCH),ia64)
RUBY = --disable-ruby
N += -Nlibgv-ruby
else
RUBY = --enable-ruby
endif

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
PERLVER := $(shell perl -MConfig -e 'print $$Config{version}')
export PERL5LIB := /usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(PERLVER)
endif

PYTHON3_VERSIONS = $(shell py3versions -r)

# sonames for various libraries
SO_CGRAPH	= 6
SO_CDT		= 5
SO_GVC		= 6
SO_PATHPLAN	= 4
SO_XDOT		= 4
SO_GVPR		= 2
SO_LAB-GAMUT	= 1

override_dh_clean:
	dh_clean
	$(RM) $(patsubst %, debian/%, ${AUTOGENERATED})
	$(RM) $(CURDIR)/tclpkg/gv/*.pdf $(CURDIR)/cmd/dot/*.pdf
	$(RM) $(CURDIR)/tclpkg/gv/gv.3*
	$(RM) $(CURDIR)/configure $(CURDIR)/version.m4
	$(RM) -r $(CURDIR)/public/
	find $(CURDIR) -name Makefile.in -delete

override_dh_autoreconf:
	$(CURDIR)/autogen.sh NOCONFIG
	dh_autoreconf

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
		sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' \
			< debian/$$f.in \
			> debian/$$f ; \
	done
	dh_auto_configure -- \
	--disable-silent-rules \
	--prefix=/usr \
	--datadir=\$${prefix}/share \
	--infodir=\$${prefix}/share/info \
	--mandir=\$${prefix}/share/man \
	--enable-static \
	--without-included-ltdl \
	--with-pangocairo \
	--with-x \
	--with-gdk-pixbuf \
	--with-glut \
	--with-gnomeui \
	--without-gtk \
	--with-poppler \
	--with-gts \
	--with-ipsepcola \
	--with-qt \
	--with-rsvg \
	--with-ann \
	--with-webp \
	--with-devil \
	--without-smyrna \
	--disable-go \
	--enable-guile \
	--enable-lua \
	--disable-php \
	$(RUBY) \
	--enable-tcl \
	--disable-java \
	--disable-ocaml \
	--disable-r \
	--disable-sharp \
	--disable-python \
	--enable-python3 \
	$(CONFIGURE_LIBS) \
	$(shell $(dpkg_buildflags) --export=configure)

override_dh_auto_build-indep:
	dh_auto_build --indep
	# still need registered layout module
	PATH=./cmd/dot/:$(PATH) $(MAKE) doxygen

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp/ -name \*.la -delete
	# move Tcl files to correct path
	install -d $(CURDIR)/debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/graphviz/tcl \
		$(CURDIR)/debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/gv
	# Duplicate library
#	rm $(CURDIR)/debian/tmp/usr/lib/tcl*/graphviz/libgv_tcl.so

override_dh_install-arch:
	dh_install --arch
	# NFU
	rm -rf $(CURDIR)/debian/tmp/usr/lib64/

#override_dh_auto_test:
#	dh_auto_test
#	pytest-3

override_dh_missing:
	dh_missing --list-missing

%:
	dh $@ --with python3 $(N)

.PHONY: override_dh_clean override_dh_autoreconf override_dh_auto_configure \
	override_dh_auto_build-indep \
	override_dh_auto_install override_dh_install-arch \
	override_dh_missing
